package com.objis.demostruts2.dao;

import java.util.List;

public interface IDao<T extends Object> {
	
	void save(T t);
	
	T get(String login);
	
	List<T> getList();
    
	void update(T t);
	
	void delete(T t);
	
	void deleteByLogin(String id);
    
	void deleteAll();
    
	int count();
}
